<manifest version="2.0" type="device" target-level="5">
    <hal format="hidl">
        <name>android.hardware.audio</name>
        <transport>hwbinder</transport>
        <fqname>@6.0::IDevicesFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.audio.effect</name>
        <transport>hwbinder</transport>
        <fqname>@6.0::IEffectsFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.bluetooth</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IBluetoothHci/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.bluetooth.audio</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IBluetoothAudioProvidersFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.boot</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IBootControl/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.broadcastradio</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IBroadcastRadio/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.camera.provider</name>
        <transport>hwbinder</transport>
        <fqname>@2.4::ICameraProvider/legacy/0</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.gnss</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IGnss/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.gnss</name>
        <transport>hwbinder</transport>
        <fqname>@2.1::IGnss/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.graphics.allocator</name>
        <transport>hwbinder</transport>
        <fqname>@4.0::IAllocator/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.graphics.composer</name>
        <transport>hwbinder</transport>
        <fqname>@2.1::IComposer/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.graphics.mapper</name>
        <transport arch="32+64">passthrough</transport>
        <fqname>@4.0::IMapper/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.media.omx</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOmx/default</fqname>
        <fqname>@1.0::IOmxStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.memtrack</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IMemtrack/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.neuralnetworks</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::IDevice/xtensa-xtensa</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.renderscript</name>
        <transport arch="32+64">passthrough</transport>
        <fqname>@1.0::IDevice/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.sensors</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISensors/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.usb</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IUsb/default</fqname>
    </hal>
    <hal format="hidl">
        <name>com.fingerprints.extension</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IFingerprintEngineering/default</fqname>
        <fqname>@1.0::IFingerprintNavigation/default</fqname>
        <fqname>@1.0::IFingerprintSensorTest/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.fpsensor.hardware.fpsensorhidlsvc</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IFpsensorHidlSvc/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.sprd.hardware.aprd</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IAprdInfoSync/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.sprd.hardware.connmgr</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IConnmgr/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.sprd.hardware.enhance</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IEnhance/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.sprd.hardware.log</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ILogControl/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.sprd.hardware.network</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::INetworkControl/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.sprd.hardware.wcn</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IWcnVendorInterface/default</fqname>
    </hal>
</manifest>
